Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.entry
Class UnusableEntryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.jini.core.entry.UnusableEntryException

All Implemented Interfaces:
  Serializable

public class UnusableEntryException
extends Exception

Thrown when one tries to get an `Entry` from a service, but the entry is unusable (due to serialization or other errors). Normally `partialEntry` points to an entry with as many fields as possible filled in, with the array `unusableFields` naming the fields that could not be deserialized and the array `nestedExceptions` having the corresponding exception.

If the serialized `Entry` was corrupt enough that no attempt could even be made to deserialize its fields, `partialEntry` and `unusableFields` will be `null`, and `nestedExceptions` will be an array with one element that is the offending exception. This will typically be because one or more of the classes of the `Entry` type itself cannot be loaded.

The names in `unusableFields` can be used together with the reflection mechanisms of `java.lang.reflect` to examine the full state of the object.

Since:
  1.0
See Also:
  Serialized Form

Field Summary
`Throwable[]` | `nestedExceptions` The exception that caused the failure for the corresponding field named in unusableFields.
`Entry` | `partialEntry` The partial entry.
`String[]` | `unusableFields` The names of the unusable fields.

Constructor Summary
`UnusableEntryException(Entry partial, String[] badFields, Throwable[] exceptions)` Create an exception for the given partial entry and vectors of bad field names/nested exception pairs.
`UnusableEntryException(Throwable e)` Create an exception for a nested exception that prevented even an attempt to build an entry.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### partialEntry

    public Entry partialEntry

  The partial entry. Fields that could not be deserialized will be `null`.

### unusableFields

    public String[] unusableFields

  The names of the unusable fields. If the entry was entirely unusable, `unusableFields` will be `null`.

### nestedExceptions

    public Throwable[] nestedExceptions

  The exception that caused the failure for the corresponding field named in unusableFields. If the entry was entirely unusable, `nestedExceptions` will be an array with the one exception that prevented its use.

Constructor Detail

### UnusableEntryException

    public UnusableEntryException(Entry partial,
                                  String[] badFields,
                                  Throwable[] exceptions)

  Create an exception for the given partial entry and vectors of bad field names/nested exception pairs.

Parameters:
  `partial` - the Entry object on which the exception occurred
  `badFields` - a String array containing the bad field names
  `exceptions` - an array of Throwable objects associated with the bad field names

### UnusableEntryException

    public UnusableEntryException(Throwable e)

  Create an exception for a nested exception that prevented even an attempt to build an entry.

Parameters:
  `e` - a Throwable representing the nested exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved